Author Topic: block bottom WIPEOUT (or solid hatch)  (Read 7056 times)

0 Members and 1 Guest are viewing this topic.


domenicomaria

  • Swamp Rat
  • Posts: 723
Re: block bottom WIPEOUT (or solid hatch)
« Reply #31 on: March 30, 2021, 01:44:33 PM »
Quote
what software do you use to make the videos?
Moavi screen recorder . . .
. . . Yes . . . the microphone  . . .
. . .
however the program still needs to be very refined. . .
. . .
but the true weak point is the limitations of the ACAD "boundary" command . . .
. . .
ciao

xdcad

  • Bull Frog
  • Posts: 430
Re: block bottom WIPEOUT (or solid hatch)
« Reply #32 on: November 22, 2023, 07:04:20 PM »
Quote
what software do you use to make the videos?
Moavi screen recorder . . .
. . . Yes . . . the microphone  . . .
. . .
however the program still needs to be very refined. . .
. . .
but the true weak point is the limitations of the ACAD "boundary" command . . .
. . .
ciao

xdrx_Insert_appendWipeout
xdrx_Insert_removeWipeout

xdrx_wipeout_make
xdrx_wipeout_setFrame

xdrx_block_remove_wipeout
xdrx_block_make_wipeout

Make a mark first and add it later
« Last Edit: November 22, 2023, 07:22:02 PM by xdcad »
The code I wrote uses XDRX-API,which can be downloaded from github.com and is updated at any time.
===================================
[XDrx-Sub Forum]
https://www.theswamp.org/index.php?board=78.0
https://github.com/xdcad/XDrx-API
http://bbs.xdcad.net

domenicomaria

  • Swamp Rat
  • Posts: 723
Re: block bottom WIPEOUT (or solid hatch)
« Reply #33 on: November 23, 2023, 12:22:26 AM »
Code - Auto/Visual Lisp: [Select]
  1. (type xdrx_block_make_wipeout)
  2. nil
  3.  

xdcad

  • Bull Frog
  • Posts: 430
Re: block bottom WIPEOUT (or solid hatch)
« Reply #34 on: November 23, 2023, 05:38:13 PM »
Code - Auto/Visual Lisp: [Select]
  1. (type xdrx_block_make_wipeout)
  2. nil
  3.  

很奇怪啊,明明有这个,我查下

You add WIPEOUT to INSERT, use the following, it is very concise, and directly puts the display order of WIPEOUT at the bottom of the entities inside the block, so as to cover the entities under the block without affecting the entities inside the block.

Code - Auto/Visual Lisp: [Select]
  1. (xdrx-insert-appendwipeout blkref box offset)
  2.  
  3. blkref --- insert entity name
  4. box    --- WIPEOUT rectangular box, such as (xdrx-entity-box....) generated
  5. offset  --- a real number, whether the BOX is offset, positive values are outward offset, negative values are inward offset, if not given, offset = 0.0



The following is the demo program. A small problem was discovered during the debugging process. The XDRX API was re-uploaded. You may need to re-download it.

Code - Auto/Visual Lisp: [Select]
  1. (defun c:tt ()
  2.   (if (setq blkref (xdrx-entsel "\nPick Insert<exit>:" '((0 . "insert"))))
  3.     (progn
  4.       (xdrx-begin)
  5.       (setq blkref (car blkref)
  6.             box    (xdrx-entity-box blkref)
  7.             offset (/ (distance (nth 0 box) (nth 3 box)) 10.0)
  8.                                         ; offset distance 1/10 of the box height
  9.       )
  10.       (vl-cmdf ".wipeout" "frame" "off")
  11.       ;;Turn off WIPEOUT border display
  12.       (xdrx-insert-appendwipeout blkref box offset)
  13.       (xdrx-draworder->top blkref)      ;Insert the entity display order to the top
  14.       (xd::drag:simplemove blkref "\nInsert Point:" 5 t) ;Move drag
  15.       (xdrx-end)
  16.     )
  17.   )
  18.   (princ)
  19. )




The code I wrote uses XDRX-API,which can be downloaded from github.com and is updated at any time.
===================================
[XDrx-Sub Forum]
https://www.theswamp.org/index.php?board=78.0
https://github.com/xdcad/XDrx-API
http://bbs.xdcad.net